Subject: bug#55740: closed (Re: bug#55740: 27.2; Emacs GNU FAQ 10.4 - Old Information)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 31 May 2022 17:29:02 +0000

Your bug report

#55740: 27.2; Emacs GNU FAQ 10.4 - Old Information

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55740: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55740
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55740: 27.2; Emacs GNU FAQ 10.4 - Old Information
From: Eli Zaretskii <[email-masked]>
To: Vinicius Provenzano <[email-masked]>
Cc: [email-masked]
Date: Tue, 31 May 2022 20:28:42 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Vinicius Provenzano <[email-masked]>
> Date: Tue, 31 May 2022 19:09:37 +0200
> 
> I would like just to point out that more than half of this section of FAQ is a detailed explanation of how to
> configure Emacs for BDF fonts explicitly on Windows. From the FAQ itself:
> 
> “ A few additional steps are necessary for MS-Windows; they are listed below.”
> 
>  I believe that adding a note on the FAQ, explaining that on Windows the portrayed configuration will only
> work for releases before 23 would be a nice touch.
> 
> If I may suggest an edit - it would be something along the lines of:
> 
> A few additional steps are necessary for MS-Windows (only available for  Emacs versions < 23); they are
> listed below.

Thanks, I just deleted the whole Windows-specific part of that
section.

Subject: 27.2; Emacs GNU FAQ 10.4 - Old Information
From: Vinicius Provenzano <[email-masked]>
To: [email-masked]
Date: Tue, 31 May 2022 13:06:58 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

 Hi to all,

I've found information on the Emacs GNU FAQ, distributed with Emacs

28.1, that is not relevant anymore - 10.4 How to add fonts for use

with Emacs. Here is the url of the FAQ:

https://www.gnu.org/software/emacs/manual/html_node/efaq/How-to-add-fonts.html

On the FAQ there is a set of instructions on how to add fonts that refer to
bdf fonts.

Bdf fonts are not supported on Emacs since

version 23 on Windows, as per the etc/NEW file.

Reference: https://www.gnu.org/software/emacs/news/NEWS.23.1

** BDF fonts no longer supported on MS-Windows. The font backend was

   completely rewritten for this release. The focus on Windows has been

   getting acceptable performance and full unicode support, including

   complex script shaping for native Windows fonts. A rewrite of the BDF

   font support has not happened due to lack of time and developers. If

   demand still exists for such a backend even with the improved

   language support for native Windows fonts, future development in this

   direction will most likely be based on the freetype library, giving

   access to a wider range of font formats.

I am not sure if this is the correct way of reporting this kind of

issue, that is not a technical bug, but a documention on need of

update.

Thank you.

 Vinicius